Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 105297 (kde-xpath) - Some KDE apps fails to emerge due to XPath error
Summary: Some KDE apps fails to emerge due to XPath error
Status: VERIFIED FIXED
Alias: kde-xpath
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
: 108720 110056 111420 111709 111773 111894 111958 113270 113468 113547 114039 115481 116049 116708 116793 117433 119185 119913 121702 121789 122066 123979 125537 128188 134244 136411 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-09-08 12:47 UTC by guillaume
Modified: 2006-06-11 07:43 UTC (History)
24 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description guillaume 2005-09-08 12:47:08 UTC
when emerge amarok, i got the following error message :
/bin/sh ../../libtool --silent --tag=CXX --mode=link i686-pc-linux-gnu-g++ 
-Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align
-Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2
-march=athlon-mp -O2 -pipe -Wformat-security -Wmissing-format-attribute
-Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common
-DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT
-DQT_NO_TRANSLATION    -o amarokapp -L/usr/kde/3.4/lib -L/usr/qt/3/lib
-L/usr/lib    -R /usr/kde/3.4/lib -R /usr/kde/3.4/lib -R /usr/qt/3/lib -R
/usr/lib actionclasses.o app.o browserbar.o clicklineedit.o collectionbrowser.o
collectiondb.o collectionreader.o configdialog.o contextbrowser.o coverfetcher.o
covermanager.o cuefile.o directorylist.o effectwidget.o enginecontroller.o
engineobserver.o equalizergraph.o equalizerpresetmanager.o equalizersetup.o
fht.o filebrowser.o k3bexporter.o kbookmarkhandler.o ktrm.o mediabrowser.o
metabundle.o multitabbar.o osd.o party.o playerwindow.o playlist.o
playlistbrowser.o playlistbrowseritem.o playlistitem.o playlistloader.o
playlistwindow.o pluginmanager.o podcastsettings.o prettypopupmenu.o
queuemanager.o refreshimages.o scriptmanager.o scrobbler.o sliderwidget.o
smartplaylisteditor.o socketserver.o streamprovider.o systray.o tagdialog.o
threadweaver.o tracktooltip.o trackpickerdialog.o DbSetup.o Options1.o
Options2.o Options4.o Options5.o Options7.o Options8.o firstrunwizard.o
partydialogbase.o partyinfobox.o podcastsettingsbase.o scriptmanagerbase.o
tagdialogbase.o trackpickerdialogbase.o
../../amarok/src/amarokcore/libamarokcore.la
../../amarok/src/analyzers/libanalyzers.la ../../amarok/src/engine/libengine.la
../../amarok/src/plugin/libplugin.la ../../amarok/src/ipod/libipod.la
../../amarok/src/ipod/itunesdb/libitunesdb.la
../../amarok/src/statusbar/libstatusbar.la -lkutils -lkio -lkdeui -lkdecore
-lkhtml -lknewstuff -L/usr/lib -ltag -lGL  ../../amarok/src/sqlite/libsqlite.la
-ltunepimp
make[4]: Leaving directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/amarok/src'
make[3]: Leaving directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/amarok/src'
make[3]: Entering directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/amarok'
make[3]: Rien 
Comment 1 guillaume 2005-09-08 12:47:08 UTC
when emerge amarok, i got the following error message :
/bin/sh ../../libtool --silent --tag=CXX --mode=link i686-pc-linux-gnu-g++ 
-Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align
-Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2
-march=athlon-mp -O2 -pipe -Wformat-security -Wmissing-format-attribute
-Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common
-DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT
-DQT_NO_TRANSLATION    -o amarokapp -L/usr/kde/3.4/lib -L/usr/qt/3/lib
-L/usr/lib    -R /usr/kde/3.4/lib -R /usr/kde/3.4/lib -R /usr/qt/3/lib -R
/usr/lib actionclasses.o app.o browserbar.o clicklineedit.o collectionbrowser.o
collectiondb.o collectionreader.o configdialog.o contextbrowser.o coverfetcher.o
covermanager.o cuefile.o directorylist.o effectwidget.o enginecontroller.o
engineobserver.o equalizergraph.o equalizerpresetmanager.o equalizersetup.o
fht.o filebrowser.o k3bexporter.o kbookmarkhandler.o ktrm.o mediabrowser.o
metabundle.o multitabbar.o osd.o party.o playerwindow.o playlist.o
playlistbrowser.o playlistbrowseritem.o playlistitem.o playlistloader.o
playlistwindow.o pluginmanager.o podcastsettings.o prettypopupmenu.o
queuemanager.o refreshimages.o scriptmanager.o scrobbler.o sliderwidget.o
smartplaylisteditor.o socketserver.o streamprovider.o systray.o tagdialog.o
threadweaver.o tracktooltip.o trackpickerdialog.o DbSetup.o Options1.o
Options2.o Options4.o Options5.o Options7.o Options8.o firstrunwizard.o
partydialogbase.o partyinfobox.o podcastsettingsbase.o scriptmanagerbase.o
tagdialogbase.o trackpickerdialogbase.o
../../amarok/src/amarokcore/libamarokcore.la
../../amarok/src/analyzers/libanalyzers.la ../../amarok/src/engine/libengine.la
../../amarok/src/plugin/libplugin.la ../../amarok/src/ipod/libipod.la
../../amarok/src/ipod/itunesdb/libitunesdb.la
../../amarok/src/statusbar/libstatusbar.la -lkutils -lkio -lkdeui -lkdecore
-lkhtml -lknewstuff -L/usr/lib -ltag -lGL  ../../amarok/src/sqlite/libsqlite.la
-ltunepimp
make[4]: Leaving directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/amarok/src'
make[3]: Leaving directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/amarok/src'
make[3]: Entering directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/amarok'
make[3]: Rien à faire pour « all-am ».
make[3]: Leaving directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/amarok'
make[2]: Leaving directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/amarok'
Making all in doc
make[2]: Entering directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/doc'
Making all in .
make[3]: Entering directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/doc'
make[3]: Rien à faire pour « all-am ».
make[3]: Leaving directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/doc'
Making all in amarok
make[3]: Entering directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/doc/amarok'
/usr/kde/3.4/bin/meinproc --check --cache index.cache.bz2 ./index.docbook
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/autotoc.xsl line 544
element div
Attribute template class: failed to compile $titles
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/lists.xsl line 735 element ol
Attribute template type: failed to compile $numeration
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/callout.xsl line 158
element img
Attribute template src: failed to compile $callout.graphics.path
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/callout.xsl line 158
element img
Attribute template alt: failed to compile $conum
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/formal.xsl line 19 element div
Attribute template class: failed to compile $class
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/formal.xsl line 71 element div
Attribute template class: failed to compile $class
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/inline.xsl line 856 element a
Attribute template href: failed to compile $chunkbase
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/inline.xsl line 934 element
code
Attribute template class: failed to compile $class
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/html.xsl line 24 element a
Attribute template name: failed to compile $id
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/index.xsl line 115 element a
Attribute template name: failed to compile $id
XPath error : Undefined variable
concat('ln-',$id,$html.ext)
                ^
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/titlepage.xsl line 475
element a
Attribute template href: failed to compile concat('ln-',$id,$html.ext)
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/titlepage.xsl line 502
element a
Attribute template name: failed to compile $id
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/titlepage.xsl line 780
element a
Attribute template name: failed to compile $id
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/docbook.xsl line 137
element base
Attribute template href: failed to compile $html.base
XPath error : Undefined variable
substring-before($stylesheets, ' ')
                             ^
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/docbook.xsl line 197
element link
Attribute template href: failed to compile substring-before($stylesheets, ' ')
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/customization/kde-navig.xsl line 43 element div
Attribute template style: failed to compile $kde.common
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/customization/kde-navig.xsl line 47 element img
Attribute template src: failed to compile $kde.common
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/customization/kde-navig.xsl line 50 element img
Attribute template src: failed to compile $kde.common
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/customization/kde-navig.xsl line 198 element div
Attribute template style: failed to compile $kde.common
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/customization/kde-navig.xsl line 200 element img
Attribute template src: failed to compile $kde.common
XPath error : Undefined variable
compilation error: file
/usr/kde/3.4/share/apps/ksgmltools2/customization/kde-navig.xsl line 203 element img
Attribute template src: failed to compile $kde.common
unable to parse ./index.docbook
make[3]: *** [index.cache.bz2] Erreur 1
make[3]: Leaving directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/doc/amarok'
make[2]: *** [all-recursive] Erreur 1
make[2]: Leaving directory
`/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1/doc'
make[1]: *** [all-recursive] Erreur 1
make[1]: Leaving directory `/usr/var/tmp/portage/amarok-1.3.1-r1/work/amarok-1.3.1'
make: *** [all] Erreur 2

!!! ERROR: media-sound/amarok-1.3.1-r1 failed.
!!! Function kde_src_compile, Line 170, Exitcode 2
!!! died running emake, kde_src_compile:make
!!! If you need support, post the topmost build error, NOT this status message.


Reproducible: Always
Steps to Reproduce:
1.emerge amarok
2.
3.




[root@gui - 21:31:58 - ~] # emerge info
Portage 2.0.51.22-r2 (default-linux/x86/2005.0, gcc-3.4.4, glibc-2.3.5-r1,
2.6.12-gentoo-r6 i686)
=================================================================
System uname: 2.6.12-gentoo-r6 i686 AMD Athlon(TM) MP 2400+
Gentoo Base System version 1.12.0_pre8
dev-lang/python:     2.2.3-r5, 2.3.5, 2.4.1-r1
sys-apps/sandbox:    1.2.11
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.20
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-mp -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config
/var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/texmf/web2c /etc/env.d"
CXXFLAGS="-march=athlon-mp -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.gentoo.skynet.be/pub/gentoo/
http://ftp.easynet.nl/mirror/gentoo/
http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://gentoo.mirror.sdv.fr"
LANG="fr_FR@euro"
LC_ALL="fr_FR@euro"
LINGUAS="fr"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/usr/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowex 3dnowext X aac aalib acpi alsa apm arts artswrappersuid avi
bash-completion berkdb bigger-fonts bindist bitmap-fonts bonobo bootsplash
browserplugin cdparanoia cdr chroot crypt cscope cups curl dga directfb
divx4linux dv dvb dvd dvdr dvdread eds emboss encode esd evo fam fbcon ffmpeg
flac foomaticdb fortran gd gdbm ggi gif gnome gphoto2 gpm gstreamer gtk gtk2
gtkhtml guile hal imagemagick imap imlib ipv6 jack java jikes jpeg junit kde
kdeenablefinal kdexdeltas kipi libg++ libwww lirc lm_sensors mad mikmod mmx
mmxext motif mozilla mp3 mpeg nas ncurses nls nptl nvidia ogg oggvorbis opengl
oss pam pdflib perl png python qt quicktime readline real ruby samba scanner sdl
slang slp speex spell sse ssl svga tcltk tcpd tetex theora tiff truetype
truetype-fonts type1-fonts unicode usb vorbis win32codecs x86 xine xml xml2 xmms
xosd xv xvid zlib linguas_fr userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LDFLAGS
Comment 2 Tobias Klausmann gentoo-dev 2005-09-08 14:43:01 UTC
Same here.

Emerge info:
Portage 2.0.51.22-r2 (default-linux/x86/2005.0, gcc-3.4.4, glibc-2.3.5-r1,
2.6.13-rc7 i686)
=================================================================
System uname: 2.6.13-rc7 i686 AMD Athlon(tm) XP 2500+
Gentoo Base System version 1.12.0_pre8
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
dev-lang/python:     2.3.5, 2.4.1-r1
sys-apps/sandbox:    1.2.11
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.20
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -O3 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config
/var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/texmf/web2c /etc/env.d"
CXXFLAGS="-march=athlon-xp -O3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig digest distlocks sandbox sfperms strict userpriv usersandbox"
GENTOO_MIRRORS="http://pandemonium.tiscali.de/pub/gentoo/
http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/
http://gentoo.mirror.solnet.ch"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync5.de.gentoo.org/gentoo-portage"
USE="x86 16bit 3dnow 3dnowext X a52 aalib alsa apache2 apm artworkextra async
audiofile avi bash-completion beepmp berkdb bitmap-fonts bmp bzip2 bzlib
calendar cdda cddb cdio cdparanoia cdr cdrom chroot crypt cscope css cups curl
dio distribution divx4linux dnd droproot dts dv dvb dvd dvdread eds emboss
encode escreen esd ethereal exif faad fam fame ffmpeg fftw flac font-server
foomaticdb fortran fpx freetype ftp gd gdbm gif gimp gimpprint gnuplot gphoto2
gpm graphviz gs gstreamer gtk gtk2 guile ieee1394 imagemagick imlib imlib2 ipv6
jack jp2 jpeg kde kdeenablefinal ladcca ladspa lcms libcaca libg++ libsamplerate
libwww lirc lua lzo lzw lzw-tiff mad matroska mikmod mjpeg mmx mmxext mng motif
mozilla moznocompose moznoirc moznomail mozsvg mp3 mpeg mpeg2 mplayer mysql
mysqli ncurses network nls nptl nptlonly offensive ogg oggvorbis opengl
operanom2 oss pam pcre pdf pdflib perl plotutils png python quicktime readline
real recode scanner sdl sendfile sharedmem slang sockets soundtouch sox speex
spell ssl stream svg szip tcltk tcpd tetex tga theora tiff transcode truetype
truetype-fonts type1 type1-fonts unicode usb userlocales uudeview v4l v4l2 vcd
vcdimager vidix vim vim-pager vlm vorbis win32codecs wma123 wmf xine xml xml2
xmms xosd xpm xrandr xscreensaver xv xvid xvmc yv12 zlib zvbi userland_GNU
kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS

Also, kaffeine doesn't compile with a very similar error.
Comment 3 guillaume 2005-09-08 16:47:10 UTC
it just vanished after a revdep-rebuild
i don't know why
Comment 4 Tobias Klausmann gentoo-dev 2005-09-09 13:18:01 UTC
Re comment #2 revdep-rebuild didn't help for me. I also tried remerging
everything named *docbook*, to no avail.
Comment 5 Tobias Klausmann gentoo-dev 2005-09-10 06:54:43 UTC
Since I was frustrated with not having a working music player, I did some
digging and half-intuitively suspected libxml2 to be the culprit. So I masked
=dev-libs/libxml2-2.6.21
 and emerged its predecessor (2.6.20-r2). Lo and behold, amarok now compiles (or
rather: it's docs are built correctly). As 2.6.20->2.6.21 is not a security
update, as far as I can tell, I'm staying with that until there's an update on
the whole story.
Comment 6 Gregg Casillo 2005-09-15 03:17:05 UTC
Same problem here. Have not tried the libxml2 rollback. 
Comment 7 Dan Armak (RETIRED) gentoo-dev 2005-09-16 08:45:52 UTC
Can't reproduce with libxml2-2.6.21-r1 and 2.6.22, amarok 1.3.1-r2.  
  
Can anyone reproduce with the latest libxml2 and amarok? 
  
gillaume: what did revdep-rebuild actually rebuild for you? (See   
/var/log/emerge.log and try to find the right stuff by date if you don't  
remember.)  
  
Tobias: have you tried re-merging the newer libxml2 after the downgrade fixed  
the issue?  
Comment 8 Tobias Klausmann gentoo-dev 2005-09-16 14:08:34 UTC
I just tried and dev-libs/libxml2-2.6.22 + media-sound/amarok-1.3.1-r2 work for
me. Thanks to whoever :)
Comment 9 Lorenz Kiefner 2005-10-05 07:25:47 UTC
I had the same problem with various ebuilds (especially libol and libgda) on my
gnome-based system.

I tried the fix mentioned in
http://forums.gentoo.org/viewtopic-t-381754-highlight-.html and
http://www.linuxquestions.org/questions/showthread.php?s=&threadid=363701
(update libxslt to 1.1.15) - it worked.

I think libxslt should be listed as dependancy in these ebuilds.
Comment 10 Lorenz Kiefner 2005-10-05 07:39:43 UTC
(In reply to comment #8)
> I had the same problem with various ebuilds (especially libol and libgda) on my
> gnome-based system.

Sorry: I meant liboil, not libol.
Comment 11 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-10-10 06:26:44 UTC
*** Bug 108720 has been marked as a duplicate of this bug. ***
Comment 12 Dan A. Dickey 2005-10-10 07:51:46 UTC
revdep-rebuild did not help me at all.  Everything was already ok with respect 
to revdep-rebuild. 
I upgraded to libxml2-2.6.22 - still my app (kdetv) would not emerge due to the 
XPath problems. 
Finally, I upgraded to libxslt-1.1.15 - and now there are no more XPath 
problems.  Thank you all. 
(Still kdetv does not emerge, but that's a different bug now...) 
Comment 13 Joseph Roback 2005-10-12 15:33:59 UTC
kdebase-3.4.2-r2 and k3b-0.12.4a both failed for me with the XPath error. I
updated to libxslt-1.1.15 and both emerged fine. :)
Comment 14 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-10-21 11:52:42 UTC
*** Bug 110056 has been marked as a duplicate of this bug. ***
Comment 15 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-10-23 13:04:13 UTC
Gnome herd: I've found another user having this problem, this time with gnome. 
Re-emerging libxslt solved for him. Is possible to have a revbump to stable 
libxslt to fix this problem? 
Comment 16 Daniel Gryniewicz (RETIRED) gentoo-dev 2005-10-25 09:36:44 UTC
libxslt is being bumped.  Bug 110454
Comment 17 Gregorio Guidi (RETIRED) gentoo-dev 2005-11-05 09:52:47 UTC
*** Bug 111420 has been marked as a duplicate of this bug. ***
Comment 18 Jakub Moc (RETIRED) gentoo-dev 2005-11-06 10:28:18 UTC
*** Bug 111709 has been marked as a duplicate of this bug. ***
Comment 19 Jakub Moc (RETIRED) gentoo-dev 2005-11-07 04:53:35 UTC
*** Bug 111773 has been marked as a duplicate of this bug. ***
Comment 20 Jakub Moc (RETIRED) gentoo-dev 2005-11-08 10:39:33 UTC
*** Bug 111894 has been marked as a duplicate of this bug. ***
Comment 21 Jakub Moc (RETIRED) gentoo-dev 2005-11-09 04:36:28 UTC
*** Bug 111958 has been marked as a duplicate of this bug. ***
Comment 22 Kovacs, Gabor 2005-11-13 05:48:24 UTC
Same happens to me with even kdebase! In the forum other apps are reported ( 
http://forums.gentoo.org/viewtopic-t-379523-highlight-libxslt.html). Emerging 
libxslt has solved the problem for me. libxslt is said to be a library of 
gnome and gnome has not been emerged in my system (it is a fresh installation 
of gentoo). I think this is the point: Portage should know that KDE and all 
KDE app. builds require libxslt whether gnome is installed or not. 
 
Regards 
Gabor 
 
First command that fails: 
 
... 
Making all in kdeprint 
make[3]: Entering directory 
`/var/tmp/portage/kdebase-3.4.1-r1/work/kdebase-3.4.1/doc/kdeprint' 
/usr/kde/3.4/bin/meinproc --check --cache index.cache.bz2 ./index.docbook 
XPath error : Undefined variable 
compilation error: 
file /usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/autotoc.xsl line 544 
element div 
Attribute template class: failed to compile $titles 
XPath error : Undefined variable 
compilation error: 
file /usr/kde/3.4/share/apps/ksgmltools2/docbook/xsl/html/lists.xsl line 735 
element ol 
... 
 
and a lot of similar. 
Comment 23 Daniel Gryniewicz (RETIRED) gentoo-dev 2005-11-19 14:50:18 UTC
libxslt has been revbumped.  Removing gnome.
Comment 24 Jakub Moc (RETIRED) gentoo-dev 2005-11-22 11:48:41 UTC
*** Bug 113270 has been marked as a duplicate of this bug. ***
Comment 25 Jakub Moc (RETIRED) gentoo-dev 2005-11-24 07:45:31 UTC
*** Bug 113468 has been marked as a duplicate of this bug. ***
Comment 26 Jakub Moc (RETIRED) gentoo-dev 2005-11-25 04:32:01 UTC
*** Bug 113547 has been marked as a duplicate of this bug. ***
Comment 27 Carsten Lohrke (RETIRED) gentoo-dev 2005-11-30 09:09:41 UTC
*** Bug 114039 has been marked as a duplicate of this bug. ***
Comment 28 Jakub Moc (RETIRED) gentoo-dev 2005-12-13 16:35:13 UTC
*** Bug 115481 has been marked as a duplicate of this bug. ***
Comment 29 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-12-19 09:31:20 UTC
*** Bug 116049 has been marked as a duplicate of this bug. ***
Comment 30 Benjamin Judas 2005-12-19 12:57:26 UTC
Dancing the libxslt-Tango and upgrading to libxslt-1.1.15 seems to have worked -- RESO-FIX for me.
Comment 31 Peter Slizik 2005-12-21 01:30:57 UTC
Well, I had also the same problem, the error message being
something like "XPath error: can't find the '$next' variable" (or '$prev', or a bunch of other variables).  This happened with *all* kde applications except kdelibs. Re-emerging libxslt seems to have helped.
Comment 32 Alex Zorach 2005-12-25 12:00:42 UTC
See the following page (in German):

http://deinadmin.de/article.php/xpath_error_xslt_gentoo

It appears some people have been aware of this...

that fix works.  For those who can't read German it's just telling you to emerge libxslt.  In my case I upgraded from 1.1.12-->1.1.15 and it fixed the problem (not sure if it was the upgrade or the re-emerge that did it).

Might want to try that!  If it's an upgrade then we should update the dependencies.  If it's the re-emerge...then I'd be curious what broke it in the first place?  This all happened to me when I tried to move from monolithic kde ebuilds over to split ebuilds...
Comment 33 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-12-25 12:06:05 UTC
*** Bug 116708 has been marked as a duplicate of this bug. ***
Comment 34 Jakub Moc (RETIRED) gentoo-dev 2005-12-26 10:17:39 UTC
*** Bug 116793 has been marked as a duplicate of this bug. ***
Comment 35 Gregorio Guidi (RETIRED) gentoo-dev 2006-01-02 03:31:07 UTC
*** Bug 117433 has been marked as a duplicate of this bug. ***
Comment 36 Philip Webb 2006-01-02 04:57:00 UTC
(In reply to comment #34)
> *** Bug 117433 has been marked as a duplicate of this bug. ***

Yes, it is.  Upgrading Libxslt to 1.1.15 solved the problem.
So a gentle question: why is that not included as a requirement for Kicker & the others ?
Many users have fallen into this trap & Libxslt is not something which would ordinarily
be associated with KDE: the trap is still there awaiting those compiling KDE 3.5 . 

Comment 37 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-01-16 05:09:27 UTC
*** Bug 119185 has been marked as a duplicate of this bug. ***
Comment 38 Jakub Moc (RETIRED) gentoo-dev 2006-01-16 11:08:13 UTC
dev-libs/libxslt-1.1.15 stable on all arches, closing.
Comment 39 Carsten Lohrke (RETIRED) gentoo-dev 2006-01-23 10:22:50 UTC
*** Bug 119913 has been marked as a duplicate of this bug. ***
Comment 40 Jakub Moc (RETIRED) gentoo-dev 2006-02-05 11:59:13 UTC
*** Bug 121702 has been marked as a duplicate of this bug. ***
Comment 41 Jakub Moc (RETIRED) gentoo-dev 2006-02-06 00:20:48 UTC
*** Bug 121789 has been marked as a duplicate of this bug. ***
Comment 42 Aben Siatris 2006-02-07 00:14:58 UTC
Well, it's nice that the new version of libxslt is stable but without explicit upgrade to new version by the user nothing will be solved. Not everybody upgrades their whole tree with all dependencies to new versions.

Therefore I recomend you should fix the dependency in the ebuild so the new version will be emerged automaticaly and the package will work again.
Comment 43 Jakub Moc (RETIRED) gentoo-dev 2006-02-08 01:47:07 UTC
*** Bug 122066 has been marked as a duplicate of this bug. ***
Comment 44 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-02-24 13:30:26 UTC
*** Bug 123979 has been marked as a duplicate of this bug. ***
Comment 45 Jakub Moc (RETIRED) gentoo-dev 2006-03-08 14:47:39 UTC
*** Bug 125537 has been marked as a duplicate of this bug. ***
Comment 46 Steve Sinclair 2006-03-08 14:57:01 UTC
This bug should be re-opened.  It is marked fixed and resolved and yet it caused me to create a duplicate bug when I got an error trying to emerge evince.  (Which is not a KDE application, meaning I still probably wouldn't have looked at this bug in the database.)

All packages using xsltproc, including evince, should be updated to cause an update to libxslt.  Until then this bug should not be marked resolved (IMHO).
Comment 47 Alex Zorach 2006-03-30 08:44:01 UTC
I agree; this should be reopened until all dependent packages are fixed.  I've encountered this with 3 separate apps, which ones, I can't remember because I ended up giving up and installing other alternatives.
Comment 48 Jakub Moc (RETIRED) gentoo-dev 2006-03-30 22:03:49 UTC
*** Bug 128188 has been marked as a duplicate of this bug. ***
Comment 49 Jakub Moc (RETIRED) gentoo-dev 2006-03-30 22:06:59 UTC
(In reply to comment #45)
(In reply to comment #46)
> This bug should be re-opened. 

No, it shouldn't be reopened since it's fixed. You can't have broken libxslt version installed if you are using portage properly and are upgrading with --deep:

$ eshowkw libxslt
Keywords for dev-libs/libxslt:

       | a a a h i m m p p p s s s x x 
       | l m r p a 6 i p p p 3 h p 8 8 
       | p d m p 6 8 p c c c 9   a 6 6 
       | h 6   a 4 k s   6 - 0   r   - 
       | a 4             4 m     c   f 
       |                   a         b 
       |                   c         s 
       |                   o         d 
       |                   s           
-------+------------------------------
1.1.15 | + + + + + + + + +   + + + +  
Comment 50 Sean E Russell 2006-03-31 04:02:01 UTC
<sigh>

So, to keep a stable system, users must always upgrade with --deep.  Why, oh why, isn't --deep the default behavior, then?  Is Gentoo purposefully trying to frustrate users?

--- SER
Comment 51 Caleb Tennis (RETIRED) gentoo-dev 2006-03-31 04:26:25 UTC
i just bumped the dep in kdelibs to libxslt 1.1.15, so this should help propagate fixing the error.

Comment 52 Jakub Moc (RETIRED) gentoo-dev 2006-05-24 11:08:16 UTC
*** Bug 134244 has been marked as a duplicate of this bug. ***
Comment 53 Jakub Moc (RETIRED) gentoo-dev 2006-06-11 07:43:53 UTC
*** Bug 136411 has been marked as a duplicate of this bug. ***